Index: trunk/grails-app/views/asset/edit.gsp
===================================================================
--- trunk/grails-app/views/asset/edit.gsp	(revision 118)
+++ trunk/grails-app/views/asset/edit.gsp	(revision 122)
@@ -59,35 +59,15 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="lifeplan">Lifeplan:</label>
+                                    <label for="maintenanceActions">Maintenance Actions:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'lifeplan','errors')}">
-                                    <g:select optionKey="id" from="${LifePlan.list()}" name="lifeplan.id" value="${assetInstance?.lifeplan?.id}" ></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="locationLongText">Location Long Text:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'locationLongText','errors')}">
-                                    <input type="text" id="locationLongText" name="locationLongText" value="${fieldValue(bean:assetInstance,field:'locationLongText')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="manufacturedDate">Manufactured Date:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'manufacturedDate','errors')}">
-                                    <g:datePicker name="manufacturedDate" value="${assetInstance?.manufacturedDate}" ></g:datePicker>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="modelNumber">Model Number:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'modelNumber','errors')}">
-                                    <input type="text" id="modelNumber" name="modelNumber" value="${fieldValue(bean:assetInstance,field:'modelNumber')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'maintenanceActions','errors')}">
+                                    
+<ul>
+<g:each var="m" in="${assetInstance?.maintenanceActions?}">
+    <li><g:link controller="maintenanceAction" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
+</g:each>
+</ul>
+<g:link controller="maintenanceAction" params="['asset.id':assetInstance?.id]" action="create">Add MaintenanceAction</g:link>
+
                                 </td>
                             </tr> 
@@ -104,26 +84,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="purchaseCost">Purchase Cost:</label>
+                                    <label for="systemSection">System Section:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'purchaseCost','errors')}">
-                                    <input type="text" id="purchaseCost" name="purchaseCost" value="${fieldValue(bean:assetInstance,field:'purchaseCost')}" />
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="riskPriorityNumber">Risk Priority Number:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'riskPriorityNumber','errors')}">
-                                    <input type="text" id="riskPriorityNumber" name="riskPriorityNumber" value="${fieldValue(bean:assetInstance,field:'riskPriorityNumber')}" />
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="serialNumber">Serial Number:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'serialNumber','errors')}">
-                                    <input type="text" id="serialNumber" name="serialNumber" value="${fieldValue(bean:assetInstance,field:'serialNumber')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'systemSection','errors')}">
+                                    <g:select optionKey="id" from="${SystemSection.list()}" name="systemSection.id" value="${assetInstance?.systemSection?.id}" ></g:select>
                                 </td>
                             </tr> 
